<div class="placements-awaiting-verification">
  <app-content-banner [isDashboard]="false" pageName="Placements Awaiting Verification"></app-content-banner>
  <mat-card class="pav-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <div fxLayout="row" class="second-header-filter">
        <div class="stats"><span><b>Pending: </b>{{pending}}</span></div>
        <div class="stats" style="color: red"><span><b>Verification Overdue : </b>{{verificationOverdue}}</span></div>
        <div class="stats"><span><b>Move-Ins: </b>{{moveIns}}</span></div>
        <div class="stats"><span><b>Move-Outs: </b>{{moveOuts}}</span></div>
        <div class="stats"><span><b>COC Move-Ins: </b>{{cocMoveIns}}</span></div>
      </div>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">
        <mat-tab>
          <ng-template matTabLabel>
            <span>Pending</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="example-small-box mat-elevation-z4" fxLayout="column">
                  <div class="table-filters-header" fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                        <mat-icon (click)="refreshAgGrid('p')" color="primary" matTooltip="Reset the filters">settings_backup_restore
                        </mat-icon>
                        <mat-icon (click)="onBtExport('p')" color="primary" matTooltip="Export to Excel">archive</mat-icon>
                      </div>
                    </div>
                  </div>
                  <div class="example-container mat-elevation-z4">
                    <ag-grid-angular
                      #pendingAgGrid id="pendingMyGrid"
                      style="width: 100%"
                      class="ag-theme-balham my-grid"
                      [columnDefs]="pendingColumnDefs"
                      [defaultColDef]="defaultColDef"
                      [rowData]="pendingRowData"
                      [context]="context"
                      [animateRows]="true"
                      [gridOptions]="pendingGridOptions"
                      [pagination]="true"
                      [paginationPageSize]="10"
                      [frameworkComponents]="frameworkComponents"
                      (gridReady)="onPendingGridReady($event)">
                    </ag-grid-angular>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Verified</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="example-small-box mat-elevation-z4" fxLayout="column">
                  <div class="table-filters-header" fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                        <mat-icon (click)="refreshAgGrid('v')" color="primary" matTooltip="Reset the filters">settings_backup_restore
                        </mat-icon>
                        <mat-icon (click)="onBtExport('v')" color="primary" matTooltip="Export to Excel">archive</mat-icon>
                      </div>
                    </div>
                  </div>
                  <div class="example-container mat-elevation-z4">
                    <ag-grid-angular #verifiedAgGrid id="verifiedMyGrid" style="width: 100%"
                      class="ag-theme-balham my-grid" [columnDefs]="verifiedColumnDefs" [defaultColDef]="defaultColDef"
                      [rowData]="verifiedRowData" [context]="context" [animateRows]="true"
                      [gridOptions]="verifiedGridOptions" [pagination]="true" [paginationPageSize]="10"
                      [frameworkComponents]="frameworkComponents" (gridReady)="onVerifiedGridReady($event)">
                    </ag-grid-angular>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
</div>
